chnparams
Prev | Orchestra Opcodes and Operators | Next

## chnparams

chnparams — Query parameters of a channel.

## Description

Query parameters of a channel (if it does not exist, all returned values are zero).

## Syntax

    itype, imode, ictltype, idflt, imin, imax chnparams Sname

## Initialization

itype -- channel data type (1: control, 2: audio, 3: string)

imode -- sum of 1 for input and 2 for output

ictltype -- special parameter for control channel only; if not available, set to zero.

idflt -- special parameter for control channel only; if not available, set to zero.

imin -- special parameter for control channel only; if not available, set to zero.

imax -- special parameter for control channel only; if not available, set to zero.

Sname -- string identifying the channel.

## Credits

Author: Istvan Varga
2005

Prev | Up | Next
chnmix | Home | chnset